using System;
using System.Workflow.ComponentModel;

namespace HelloWorld
{
    public class HelloWorld : Activity
    {
        public static readonly DependencyProperty TextProperty = DependencyProperty.Register("Text", typeof(string), typeof(HelloWorld));

	    protected override ActivityExecutionStatus Execute(ActivityExecutionContext context)
	    {
		    Console.WriteLine(Text);
		    return ActivityExecutionStatus.Closed;
	    }

        public string Text
        {
            get { return (string)GetValue(TextProperty); }
            set { SetValue(TextProperty, value); }
        }
	
    } 
}
