using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace LoanDecision
{
	public sealed partial class Decision: SequentialWorkflowActivity
	{
        double interestRate = 7;
        double loanAmount = 300000;

		public Decision()
		{
			InitializeComponent();
		}

        private void EvaluateLargeLoan(object sender, ConditionalEventArgs e)
        {
            Console.WriteLine("{0} loan requested at {1} percent.", loanAmount, interestRate);
            if (loanAmount > 250000)
                e.Result = true;
            else
                e.Result = false;
        }

        private void LargeLoan(object sender, EventArgs e)
        {
            double payment = (loanAmount * interestRate * .01 / 12);
            if (payment > 1500)
                Console.WriteLine("   Loan Denied.");
            else
                Console.WriteLine("   Loan Approved.");
        }

        private void SmallLoan(object sender, EventArgs e)
        {
            Console.WriteLine("   Loan Approved.");
        }

        private void Finished(object sender, EventArgs e)
        {
            Console.WriteLine("Processing Finished.");
        }
	}

}
