using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace GatherInformationWorkflow
{
	public sealed partial class GatherInformation: SequentialWorkflowActivity
	{
        public Object sender = new System.Object();
        public MessageEventArgs eventArgs = default(MessageEventArgs);

        public Guid id;

        public string person = "John Smith";
        public double amount = 50000;
        public double interestRate = 5;
        
        public GatherInformation()
		{
			InitializeComponent();
		}

        private void InformationReceived(object sender, ExternalDataEventArgs e)
        {
            System.Windows.Forms.MessageBox.Show(eventArgs.Information);
        }

        private void BeforeGatherInfo(object sender, EventArgs e)
        {
            id = this.WorkflowInstanceId;
        }
	}

}

