using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Workflow.Activities;
using System.Workflow.Runtime;

namespace Event_Driven
{
    public partial class GatherInfo : Form
    {
        WorkflowRuntime workflowRuntime = null;
        GatherInformation service = null;
        
        public GatherInfo()
        {
            InitializeComponent();
        }

        private void GatherLoad(object sender, EventArgs e)
        {
            workflowRuntime = new WorkflowRuntime();

            service = new GatherInformation("Acme");
            ExternalDataExchangeService dataService = new ExternalDataExchangeService();
            workflowRuntime.AddService(dataService);
            dataService.AddService(service);

            workflowRuntime.StartRuntime();
        }

        private void GatherClosing(object sender, FormClosingEventArgs e)
        {
            workflowRuntime.StopRuntime();
        }

        private void btnStart_Click(object sender, EventArgs e)
        {
            Type type = typeof(GatherInformationWorkflow.GatherInformation);
            WorkflowInstance instance = workflowRuntime.CreateWorkflow(type);
            instance.Start();
        }
    }
}